#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright 2018 <+YOU OR YOUR COMPANY+>.
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

import numpy
from gnuradio import gr

class bpsk_demod(gr.sync_block):
    """
    docstring for block bpsk_demod
    """
    def __init__(self):
        gr.sync_block.__init__(self,
            name="bpsk_demod",
            in_sig=[numpy.complex64],
            out_sig=[numpy.uint8])

    def get_minimum_distances(self, sample):
        if (sample.imag >= 0 and sample.real >= 0):
            return 0
        else:
            return 1

    def work(self, input_items, output_items):
        in0 = input_items[0]
        out = output_items[0]
        # <+signal processing here+>
        for i in range(0, len(in0)):
            sample = in0[i]
            out[i] = self.get_minimum_distances(sample)

        return len(output_items[0])
